Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.model
Class QueryEngineSupport

    java.lang.Object
      biouml.model.QueryEngineSupport

All Implemented Interfaces:
  QueryEngine

Direct Known Subclasses:
  PathwayQueryEngine, StandardQueryEngine

public abstract class QueryEngineSupport
extends java.lang.Object
implements QueryEngine

Field Summary
`protected org.apache.log4j.Category` | `log`

Constructor Summary
`QueryEngineSupport()`

Method Summary
`NodeInfo[]` | `addLinked(Diagram diagram, Node start, NodeInfo[] linked)` Appends linked nodes to the diagram.
`protected void` | `createEdges(Node start, Node reaction, Compartment c, NodeInfo[] linked, java.util.Set added)`
`protected Node` | `findNearestNode(Compartment c, Node node, Base kernel)`
`protected NodeInfo` | `findNodeInfo(NodeInfo[] linked, java.lang.String name)`
`Compartment` | `getCompartment(Node start, Base kernel)` Should return the most suitable compartment where new node should be located.
`protected java.util.Map` | `getCompartmentKernels(Compartment c)`
`QueryOptions` | `getDefaultQueryOptions(java.lang.Class diagramType)`
`abstract NodeInfo[]` | `getLinked(Diagram diagram, NodeInfo node, QueryOptions opt)`
`NodeInfo[]` | `searchLinked(Diagram diagram, Node node, QueryOptions options)`
`protected java.util.Set` | `searchLinked(Diagram diagram, java.util.Set lastNodes, java.util.Set linkedNodes, QueryOptions options)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected org.apache.log4j.Category log

Constructor Detail

### QueryEngineSupport

    public QueryEngineSupport()

Method Detail

### getDefaultQueryOptions

    public QueryOptions getDefaultQueryOptions(java.lang.Class diagramType)

  Specified by:
    `getDefaultQueryOptions` in interface `QueryEngine`

### searchLinked

    public NodeInfo[] searchLinked(Diagram diagram,
                                   Node node,
                                   QueryOptions options)
                            throws java.lang.Exception

  Specified by:
    `searchLinked` in interface `QueryEngine`
  Throws:
    `java.lang.Exception`

### searchLinked

    protected java.util.Set searchLinked(Diagram diagram,
                                         java.util.Set lastNodes,
                                         java.util.Set linkedNodes,
                                         QueryOptions options)

### addLinked

    public NodeInfo[] addLinked(Diagram diagram,
                                Node start,
                                NodeInfo[] linked)

  Appends linked nodes to the diagram.

  Specified by:
    `addLinked` in interface `QueryEngine`
  Parameters:
    `diagram` -
    `linked` -
  Returns:
    array of nodes added to diagram.

### getCompartment

    public Compartment getCompartment(Node start,
                                      Base kernel)

  Should return the most suitable compartment where new node should be located. Here is a stub implimentation - start node compartemtn is returned.

### createEdges

    protected void createEdges(Node start,
                               Node reaction,
                               Compartment c,
                               NodeInfo[] linked,
                               java.util.Set added)

### findNodeInfo

    protected NodeInfo findNodeInfo(NodeInfo[] linked,
                                    java.lang.String name)

### getCompartmentKernels

    protected java.util.Map getCompartmentKernels(Compartment c)

### findNearestNode

    protected Node findNearestNode(Compartment c,
                                   Node node,
                                   Base kernel)

### getLinked

    public abstract NodeInfo[] getLinked(Diagram diagram,
                                         NodeInfo node,
                                         QueryOptions opt)
                                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.